package ru.tandemservice.uniclient.unimirea_code.entity;

import org.tandemframework.core.entity.dsl.EntityDSLSupport;
import ru.tandemservice.uniclient.unimirea_code.entity.gen.*;

/** @see ru.tandemservice.uniclient.unimirea_code.entity.gen.MilitaryDocumentGen */
public class MilitaryDocument extends MilitaryDocumentGen
{
    @EntityDSLSupport
    public String getFullNumber(){
        String fullNumber = (this.getNumber() != 0 ? String.valueOf(this.getNumber()) : "") +
                (this.getPostfix() != null ? "/" +this.getPostfix() : "");
        return fullNumber;
    }

    @EntityDSLSupport
    public boolean isDigitalSignatureExist(){
        return this.getDigitalSignatureMirea() != null;
    }

    @EntityDSLSupport
    public String getTitleForMail(){
        return this.getMilitaryDocumentType().getTitle() + " № " + this.getFullNumber();
    }

}
