package ru.tandemservice.uniclient.unimirea_code.base.bo.MilitaryDocument.logic;

import org.tandemframework.core.sec.IPrincipalContext;
import org.tandemframework.shared.employeebase.base.entity.EmployeePost;
import org.tandemframework.shared.person.catalog.entity.MilitaryOffice;
import ru.tandemservice.uni.entity.base.Student;
import ru.tandemservice.uniclient.unimirea_code.entity.catalog.MilitaryDocumentType;

import java.util.Date;

/**
 * Created by 22 on 12.12.2018.
 */
public class BaseModel {
    private Student _student = new Student();
    private int _number;
    private int _prefix;
    private String _postfix;
    private MilitaryDocumentType _militaryDocumentType = new MilitaryDocumentType();
    private String _docNumber;

    private Date _formingDate;
    private Integer _currentYear;
    private String _militaryOfficeTitle;
    private MilitaryOffice militaryOffice;

    private String _enrollmentOrderNumber;
    private Date _enrollmentOrderDate;
    private Integer _entranceYear;
    private EmployeePost _employeePost;
    private IPrincipalContext _context;

    // Getters & Setters

    public Student getStudent() {
        return _student;
    }
    public void setStudent(Student student) {
        _student = student;
    }

    public int getNumber() {
        return _number;
    }
    public void setNumber(int number) {
        _number = number;
    }

    public int getPrefix() {
        return _prefix;
    }
    public void setPrefix(int prefix) {
        _prefix = prefix;
    }

    public String getPostfix() {
        return _postfix;
    }
    public void setPostfix(String postfix) {
        _postfix = postfix;
    }

    public String getDocNumber() {
        return _docNumber;
    }
    public void setDocNumber(String docNumber) {
        _docNumber = docNumber;
    }

    public MilitaryDocumentType getMilitaryDocumentType() {
        return _militaryDocumentType;
    }
    public void setMilitaryDocumentType(MilitaryDocumentType militaryDocumentType) {
        _militaryDocumentType = militaryDocumentType;
    }

    public Date getFormingDate() {
        return _formingDate;
    }
    public void setFormingDate(Date formingDate) {
        _formingDate = formingDate;
    }

    public String getMilitaryOfficeTitle() {
        return _militaryOfficeTitle;
    }
    public void setMilitaryOfficeTitle(String militaryOfficeTitle) {
        _militaryOfficeTitle = militaryOfficeTitle;
    }

    public Integer getCurrentYear() {
        return _currentYear;
    }
    public void setCurrentYear(Integer currentYear) {
        _currentYear = currentYear;
    }

    public String getEnrollmentOrderNumber() {
        return _enrollmentOrderNumber;
    }
    public void setEnrollmentOrderNumber(String enrollmentOrderNumber) {
        _enrollmentOrderNumber = enrollmentOrderNumber;
    }

    public Date getEnrollmentOrderDate() {
        return _enrollmentOrderDate;
    }
    public void setEnrollmentOrderDate(Date enrollmentOrderDate) {
        _enrollmentOrderDate = enrollmentOrderDate;
    }

    public Integer getEntranceYear() {
        return _entranceYear;
    }
    public void setEntranceYear(Integer entranceYear) {
        _entranceYear = entranceYear;
    }

    public EmployeePost getEmployeePost() {
        return _employeePost;
    }
    public void setEmployeePost(EmployeePost employeePost) {
        _employeePost = employeePost;
    }

    public IPrincipalContext getContext() {
        return _context;
    }
    public void setContext(IPrincipalContext context) {
        _context = context;
    }

    public MilitaryOffice getMilitaryOffice() {
        return militaryOffice;
    }

    public void setMilitaryOffice(MilitaryOffice militaryOffice) {
        this.militaryOffice = militaryOffice;
    }
}
