package ru.tandemservice.uniclient.unimirea_code.base.bo.MilitaryDocument.ui.AddMd3;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.tandemframework.caf.ui.config.BusinessComponentManager;
import org.tandemframework.caf.ui.config.presenter.PresenterExtPoint;
import org.tandemframework.shared.commonbase.base.util.ui.CommonBaseStaticSelectDataSource;
import org.tandemframework.shared.commonbase.base.util.ui.EntityComboDataSourceHandler;
import ru.tandemservice.uni.entity.catalog.Course;

@Configuration
public class MilitaryDocumentAddMd3  extends BusinessComponentManager {
    public static final String COURSE_DS = "courseDS";

    @Bean
    public PresenterExtPoint presenterExtPoint() {
        return presenterExtPointBuilder()
                .addDataSource(CommonBaseStaticSelectDataSource.selectDS(COURSE_DS, getName(), courseDSHandler()))
                .create();
    }

    @Bean
    public EntityComboDataSourceHandler courseDSHandler() {
        return Course.defaultSelectDSHandler(getName());
    }
}

